Subject: Re: exim 4.12-3 winsock problem (was Re: 1.3.21)
From: Jason Tishler <[email-masked]>
To: "Pierre A. Humblet" <[email-masked]>
Cc: [email-masked]
Date: Tue, 25 Feb 2003 16:46:41 -0500

Pierre,

On Tue, Feb 25, 2003 at 04:19:03PM -0500, Pierre A. Humblet wrote:
> Jason Tishler wrote:
> >
> > > Another possibility is registry access. Is there a way to insure
> > > that Everyone has read access to the whole registry?
> > 
> > regedt32 can change permissions.  Any particular subtree that I
> > should try?
> 
> Right, I had forgotten. I am still using regedit.  First see if any
> doesn't give read access to Everyone.  Then give access. LocalMachine
> seems a good starting candidate

Bingo!  The following key did not have read access for Everyone:

    HKEY_LOCAL_MACHINE\SYSTEM

After granting access, then exim would start up even though its primary
group is my mail group and not the Users one.

Do you want me further isolate?  If so, any hints?

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/